package drawio

import (
	"errors"
	"os/exec"
)

// Последовательный запуск команд в ОС
func RunSequence(command ...*exec.Cmd) error {
	var errs []error

	for _, cmd := range command {
		if err := cmd.Run(); err != nil {
			errs = append(errs, err)
		}
	}

	return errors.Join(errs...)
}
